Loading...
Searching...
No Matches
tiny_dnn::weight_init::he Class Reference
Inheritance diagram for tiny_dnn::weight_init::he:
[legend]
Collaboration diagram for tiny_dnn::weight_init::he:
[legend]

## Public Member Functions

| he (float_t value)
void | fill (vec_t *weight, serial_size_t fan_in, serial_size_t fan_out) override
Public Member Functions inherited from tiny_dnn::weight_init::scalable
| scalable (float_t value)
void | scale (float_t value)

## Additional Inherited Members

Protected Attributes inherited from tiny_dnn::weight_init::scalable
float_t | scale_

## Member Function Documentation

## fill()

void tiny_dnn::weight_init::he::fill | ( | vec_t * | weight,
|  | serial_size_t | fan_in,
|  | serial_size_t | fan_out
| ) |  |

inline override virtual

Implements tiny_dnn::weight_init::function.

The documentation for this class was generated from the following file:

- tiny_dnn/util/weight_init.h